/*
 * This source code (.java) file is Copyright  2000 Artima Software, Inc. All rights reserved. 
 * This file accompanies the Jini Place Service Draft Specification, written by Bill
 * Venners and published on the World Wide Web at:
 * 
 *     http://www.artima.com/jini/cyberspace/DraftSpec.html,
 *
 * This source file may not be copied, modified, or redistributed EXCEPT as allowed
 * by the following statements: From August 11, 2000 through December 31, 2000, you may
 * copy and/or modify these files to test and experiment with the Place API,
 * described in the Jini Place Service Draft Specification. Any bug fixes must be given
 * back to Artima Software, Inc. You may not redistribute this file or any binary (such
 * as .class) files generated from this file. You may not distribute modified versions
 * this files or any binary (such as .class) files generated from modified versions of
 * this file. You may not remove this copyright notice. You may not use this file in
 * printed media without the express permission of Bill Venners. And if that weren't
 * enough, you must destroy all copies of this file, and any binary (such as
 * .class) files generated from this file, by December 31, 2000.
 *
 * ARTIMA SOFTWARE, INC. MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THIS SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR PARTICULAR PURPOSE, OR NON-INFRINGEMENT.
 * BILL VENNERS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY A LICENSEE AS A RESULT
 * OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
*/

public class ArtimaHomeData implements PlaceData {

    private String nameAttribute = "Artima.com Home Place";
    private String jframeTitle = "Artima.com - A Resource for Java and Jini Developers";

    // Maps key names with which Links are placed in the ArtimaHome LinkMap to the file portion
    // of the URLs that indicate the resource to activate for that Link. For example, when someone
    // activates the Link with the "jinicornerplace" key, the resource with the URL:
    //
    //     http://<host>//jini/index.serviceui
    //
    private String[] keysAndFilenames = {

        "artimahomepage", "/index.html",
        "jinicornerplace", "/jini/index.serviceui",
        "javacornerplace", "/java/index.serviceui",
        "designcornerplace", "/javadesign/index.serviceui",
        "jvmcornerplace", "/jvm/index.serviceui",
        "search", "/search.html",
        "subscribe", "/subscribe.html",
        "seminars", "/javaseminars/index.html",
        "cal", "/services/cal.serviceui",
        "colorschemer", "/services/colorschemer.serviceui"
    };

    public String getNameAttribute() {
        return nameAttribute;
    }

    public String getJFrameTitle() {
        return jframeTitle;
    }

    public String[] getKeysAndFilenames() {
        return keysAndFilenames;
    }
}
